Subject: Re: bug#20084: comint-highlight-prompt overrides ANSI colors in 24.4

From: Wolfgang Jenkner <[email-masked]>
Date: Fri, 27 Mar 2015 04:27:59 +0100

On Tue, Mar 24 2015, Glenn Morris wrote:

> 1) It's too late to fix this "properly" for 24.5.
> 2) The problem from 14744 (sometimes flickering on output)
> is less of an issue than this issue (prompt not coloured)
>
> so I suggest reverting the changes from 14744 in emacs-24, and
> fixing it "properly" in master.

I've now pushed my patch (which, I hope, is a proper fix) to master.

> BUT personally I haven't even bothered to check whether the changes from
> 14744 do actually cause this issue, so someone else will have to do the
> work.

FWIW, I had independently come to the same conclusion (but since then,
I haven't looked again at bug#14744 or the corresponding commit).